OpenVDB 13.0.0

Loading...
Searching...
No Matches
LevelSetTracker.h File Reference

Performs multi-threaded interface tracking of narrow band level sets. This is the building-block for most level set computations that involve dynamic topology, e.g. advection. More...

`#include <openvdb/Types.h>`
`#include <openvdb/Grid.h>`
`#include <openvdb/math/Math.h>`
`#include <openvdb/math/FiniteDifference.h>`
`#include <openvdb/math/Operators.h>`
`#include <openvdb/math/Stencils.h>`
`#include <openvdb/math/Transform.h>`
`#include <openvdb/util/NullInterrupter.h>`
`#include <openvdb/thread/Threading.h>`
`#include <openvdb/tree/ValueAccessor.h>`
`#include <openvdb/tree/LeafManager.h>`
`#include "ChangeBackground.h"`
`#include "Morphology.h"`
`#include "Prune.h"`
`#include <tbb/parallel_for.h>`
`#include <functional>`
`#include <type_traits>`

Go to the source code of this file.

## Classes
class | LevelSetTracker< GridT, InterruptT >
| Performs multi-threaded interface tracking of narrow band level sets. More...
struct | LevelSetTracker< GridT, InterruptT >::State
| Lightweight struct that stores the state of the LevelSetTracker. More...

## Namespaces
namespace | openvdb
namespace | openvdb::v13_0
namespace | openvdb::v13_0::tools
namespace | openvdb::v13_0::tools::lstrack

## Enumerations
enum class | TrimMode { kNone , kInterior , kExterior , kAll }
| How to handle voxels that fall outside the narrow band. More...

## Detailed Description

Performs multi-threaded interface tracking of narrow band level sets. This is the building-block for most level set computations that involve dynamic topology, e.g. advection.

Author
  Ken Museth